;InnoSetupVersion=5.2.3

[Setup]
AppName=Calendarscope
AppVerName=Calendarscope 4.1
AppId=Calendarscope
AppVersion=4.1
AppPublisher=Duality Software
AppPublisherURL=http://www.calendarscope.com
AppSupportURL=http://www.dualitysoft.com/support.html
AppUpdatesURL=http://www.calendarscope.com
DefaultDirName={pf}\Calendarscope
DefaultGroupName=Calendarscope
UninstallDisplayIcon={app}\csde.exe
UninstallDisplayName=Calendarscope
OutputBaseFilename=in
Compression=lzma
PrivilegesRequired=poweruser
DisableProgramGroupPage=yes
ChangesAssociations=yes
AllowNoIcons=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\cs.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\csde.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ImpXR.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\dbghelp.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\cstip.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\libical.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\readme.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\license.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Icons\Icons.dll"; DestDir: "{code:GetCommonAppDataDir|}\Icons"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Sounds\Alarm.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Alert.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Beep.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Boing.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Connect.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Cosmicl.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Cuckoo.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Doorbl.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Error.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Fanfare3.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Mac.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Notify.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Phone.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Receive.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Reville.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Rooster.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Siren2.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Tinkle.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Sounds\Title.wav"; DestDir: "{code:GetCommonAppDataDir|}\Sounds"; Flags: onlyifdoesntexist 
Source: "{code_GetCommonAppDataDir_}\Holidays\argentina.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\australia.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\austria.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\belgium.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\brazil.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\canada.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\christianreligiousholidays.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\denmark.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\finland.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\france.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\germany.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\greece.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\ireland.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\israel.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\italy.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\japan.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\jewishreligiousholidays.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\luxembourg.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\mexico.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\netherlands.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\newzealand.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\norway.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\paraguay.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\peru.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\portugal.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\russia.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\slovenia.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\southafrica.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\spain.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\sweden.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\switzerland.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\thailand.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\turkey.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\unitedarabemirates.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\unitedkingdom.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{code_GetCommonAppDataDir_}\Holidays\unitedstates.vrh"; DestDir: "{code:GetCommonAppDataDir|}\Holidays"; Flags: ignoreversion 
Source: "{tmp}\isupport.dll"; DestDir: "{tmp}"; Flags: deleteafterinstall dontcopy 

[Dirs]
Name: "{code:GetCommonAppDataDir|}\Sounds"; Flags: uninsalwaysuninstall 
Name: "{code:GetCommonAppDataDir|}\Icons"; Flags: uninsalwaysuninstall 
Name: "{code:GetCommonAppDataDir|}\Holidays"; Flags: uninsalwaysuninstall 
Name: "{code:GetUserAppDataDir|}"; Flags: uninsneveruninstall 

[Registry]
Root: HKLM; Subkey: "Software\Duality Software"; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "Software\Duality Software\Calendarscope"; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "Software\Duality Software\Calendarscope\Install"; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "Software\Duality Software\Calendarscope\Install"; ValueName: "Path"; ValueType: String; ValueData: "{app}"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\Duality Software\Calendarscope\Install"; ValueName: "Stamp"; ValueType: String; ValueData: "{code:GetCurrentDateTimeStamp|}"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\Duality Software\Calendarscope\Install"; ValueName: "4.1.0.1"; ValueType: String; ValueData: "{code:GetCurrentDateTimeStamp|}"; 
Root: HKCU; Subkey: "Software\Duality Software\Calendarscope\Install"; ValueName: "Path"; ValueType: String; ValueData: "{app}"; Check: "IsNotVista"; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Duality Software\Calendarscope"; Check: "IsVista"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Duality Software\Calendarscope\Common"; Check: "IsVista"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Duality Software\Calendarscope\Common"; ValueName: "AU"; ValueType: Dword; ValueData: "$1"; Check: "IsVista"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: ".cs0"; ValueType: String; ValueData: "Calendarscope.cs0"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "Calendarscope.cs0"; ValueType: String; ValueData: "Calendarscope Data File"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Calendarscope.cs0\DefaultIcon"; ValueType: String; ValueData: "{app}\csde.exe,2"; 
Root: HKCR; Subkey: "Calendarscope.cs0\shell\open\command"; ValueType: String; ValueData: """{app}\csde.exe"" /dde"; 
Root: HKCR; Subkey: "Calendarscope.cs0\shell\open\ddeexec"; ValueType: String; ValueData: "[open(""%1"")]"; 
Root: HKCR; Subkey: "Calendarscope.cs0\shell\open\ddeexec\Application"; ValueType: String; ValueData: "CSCOPESTD"; 
Root: HKCR; Subkey: "Calendarscope.cs0\shell\open\ddeexec\Topic"; ValueType: String; ValueData: "System"; 
Root: HKCR; Subkey: ".cbf"; ValueType: String; ValueData: "Calendarscope.cbf"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "Calendarscope.cbf"; ValueType: String; ValueData: "Calendarscope Backup File"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Calendarscope.cbf\DefaultIcon"; ValueType: String; ValueData: "{app}\csde.exe,3"; 
Root: HKCR; Subkey: ".vrh"; ValueType: String; ValueData: "Calendarscope.vrh"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "Calendarscope.vrh"; ValueType: String; ValueData: "Calendarscope Holiday File"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Calendarscope.vrh\DefaultIcon"; ValueType: String; ValueData: "{app}\csde.exe,4"; 
Root: HKCR; Subkey: "Calendarscope.vrh\shell\open\command"; ValueType: String; ValueData: """{app}\csde.exe"" /dde"; 
Root: HKCR; Subkey: "Calendarscope.vrh\shell\open\ddeexec"; ValueType: String; ValueData: "[open(""%1"")]"; 
Root: HKCR; Subkey: "Calendarscope.vrh\shell\open\ddeexec\Application"; ValueType: String; ValueData: "CSCOPESTD"; 
Root: HKCR; Subkey: "Calendarscope.vrh\shell\open\ddeexec\Topic"; ValueType: String; ValueData: "System"; 

[Run]
Filename: "{app}\csde.exe"; Description: "Launch Calendarscope now."; Flags: postinstall nowait

[UninstallRun]
Filename: "{app}\csde.exe"; Parameters: "-uninstall"; RunOnceId: "DelCS"; Flags: skipifdoesntexist 

[Icons]
Name: "{code:GetGroupName|}\Calendarscope"; Filename: "{app}\csde.exe"; 
Name: "{code:GetGroupName|}\Read Me"; Filename: "{app}\readme.txt"; 
Name: "{code:GetGroupName|}\License"; Filename: "{app}\license.txt"; 
Name: "{code:GetGroupName|}\Calendarscope Help"; Filename: "{app}\cs.chm"; 
Name: "{code:GetGroupName|}\Uninstall Calendarscope"; Filename: "{uninstallexe}"; 
Name: "{code:GetDesktopName|}\Calendarscope"; Filename: "{app}\csde.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
